package com.sdtool.common.entity.design;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

public class TemplateTag extends BaseEntity {
    @Comment("")
    @RColumn("id")
    private long id;

    @Comment("")
    @RColumn("idtemplate")
    private long idTemplate;

    @Comment("")
    @RColumn("tagname")
    private String tagName;

    @Comment("")
    @RColumn("tagtypename")
    private String tagTypeName;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getIdTemplate() {
        return idTemplate;
    }

    public void setIdTemplate(long idTemplate) {
        this.idTemplate = idTemplate;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public String getTagTypeName() {
        return tagTypeName;
    }

    public void setTagTypeName(String tagTypeName) {
        this.tagTypeName = tagTypeName;
    }
}
